Bug 1955548 - [IPI][OSP] OCP 4.6/4.7 IPI with kuryr exceeds defined serviceNetwork range
Summary: [IPI][OSP] OCP 4.6/4.7 IPI with kuryr exceeds defined serviceNetwork range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.8.0
Assignee: Michał Dulko
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-30 11:11 UTC by Joachim von Thadden
Modified: 2021-07-27 23:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
New installations of OCP on OSP with OVN configured to use Kuryr will not create the services subnet of twice the size requested in `networking.serviceCIDR`. The subnet created will be exactly the requested size.
Clone Of:
Environment:
Last Closed: 2021-07-27 23:05:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1100 0 None open Bug 1955548: Kuryr: Do not expand services subnet with OVN 2021-05-20 16:37:51 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:05:39 UTC

Description Joachim von Thadden 2021-04-30 11:11:47 UTC
Version:
$ openshift-install version
4.7.7

Platform:
RHOSP 16.1

* IPI (automated install with `openshift-install`. If you don't know, then it's IPI)

What happened?

In install-config.yaml we define

networking:
  serviceNetwork:
  - 172.30.0.0/16

With kuryr enabled this will result during installation in
  serviceNetwork:
  - 172.30.0.0/15

Without kuryr enabled this will result during installation in
  serviceNetwork:
  - 172.30.0.0/16

This is already documented with the following sentence:
"The Amphora Octavia driver creates two ports per load balancer. As a result, the service subnet that the installer creates is twice the size of the CIDR that is specified as the value of the serviceNetwork property."

Although it is documented, there are two problems with this statement:
1. although you explicitely set something in a config file, something else is used - I would call that an unwanted side effect
2. it differs from the behaviour of the same parameter on other platforms or even the same platform w/o kuryr, where the parameter is used as is


What did you expect to happen?

If I define something it is used, but not changed. If it's changed it must never exceed the defined range, but can use a smaller subset.

So I would say that the behaviour should be to use the defined range when creating the networks and have the following text in the documentation, replacing the above one:
"The Amphora Octavia driver creates two ports per load balancer. As a result, the number of load balancers possibly created is half the size of the CIDR that is specified as the value of the serviceNetwork property."

Comment 1 Michał Dulko 2021-05-05 08:35:17 UTC
@Joachim: There are really two ways of looking at this. On the contrary - if user requests a particular range for services, it's expected that the number of available IPs for services will be equal to the size of that range. Please note that OpenShift is directly configured with the range specified by the user, meaning that services will get IPs from the configured range. It's just the subnet in OpenStack is created with twice the size (with allocation pools set in order to make sure Octavia VRRP only reserves IPs from "excessive" part of the range).

Nevertheless in 4.8 we removed requirement for K8s API LB to be an Amphora, meaning that if ovn-octavia-provider is configured, all the LBs will be OVN LBs. This means that for such deployments we should be able to create the subnet with exactly the configured range and we'll try to fix it that way. Unfortunately I do not believe we'll be able to backport it.

Comment 3 Itzik Brown 2021-06-15 09:44:32 UTC
Checked 16.1 + 4.8.0-0.nightly-2021-06-14-145150 OVN Octavia
$ openstack subnet list |grep kuryr-service-subnet
| deb2f491-304f-4df4-b19e-c251b241079e | ostest-6bxzl-kuryr-service-subnet                          | 9bdac898-d95c-47ce-8240-8335683cece6 | 172.30.0.0/16   |

When having 
networking:
  clusterNetworks:
  - cidr:             10.128.0.0/14
    hostSubnetLength: 9
  serviceNetwork: [172.30.0.0/16]

in install-config.yaml

Comment 5 rlobillo 2021-06-15 18:33:09 UTC
verified on 4.8.0-0.nightly-2021-06-14-145150 over RHOS-16.1-RHEL-8-20210506.n.1 with Amphora provider enabled.


Installed OCP 4.7.16 on RHOS-16.1-RHEL-8-20210506.n.1 with Amphora provider:

$ openstack loadbalancer provider list
+---------+-------------------------------------------------+
| name    | description                                     |
+---------+-------------------------------------------------+
| amphora | The Octavia Amphora driver.                     |
| octavia | Deprecated alias of the Octavia Amphora driver. |
+---------+-------------------------------------------------+

install-config.yaml section:

networking:
  clusterNetworks:
  - cidr:             10.128.0.0/14
    hostSubnetLength: 9
  serviceNetwork: [172.30.0.0/16]
  machineCIDR: 10.196.0.0/16
  type: "Kuryr"


$ openstack subnet list | grep kuryr-service-subnet
| 366edfc5-6c46-47be-a55a-188c47da2fa7 | ostest-xkdcg-kuryr-service-subnet                          | 1358b30b-61b6-4368-b8ab-e0d4cedceb75 | 172.30.0.0/15   |


$ openstack loadbalancer list
+--------------------------------------+-----------------------------------------------------------------------------+----------------------------------+----------------+---------------------+----------+
| id                                   | name                                                                        | project_id                       | vip_address    | provisioning_status | provider |
+--------------------------------------+-----------------------------------------------------------------------------+----------------------------------+----------------+---------------------+----------+
| bec830c9-a11b-405b-a8a2-027d5012edde | ostest-xkdcg-kuryr-api-loadbalancer                                         | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.0.1     | ACTIVE              | amphora  |
| 0533e26c-3c66-45ea-a704-2eb141756313 | openshift-service-ca-operator/metrics                                       | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.250.30  | ACTIVE              | amphora  |
| 41705266-7d59-48da-9c6f-591a266474ff | openshift-apiserver-operator/metrics                                        | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.240.134 | ACTIVE              | amphora  |
| 1dfd92db-622e-4f4f-a9f7-4308394688a4 | openshift-insights/metrics                                                  | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.237.139 | ACTIVE              | amphora  |
| 5cd615bf-495a-4fce-a8b9-d7a78fbe43e4 | openshift-cluster-storage-operator/cluster-storage-operator-metrics         | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.148.205 | ACTIVE              | amphora  |
| f2527eef-306e-49f9-9b2e-acf5dcb19d48 | openshift-kube-scheduler-operator/metrics                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.17.89   | ACTIVE              | amphora  |
| e42fa4bf-304d-49cc-8563-98fc1c654bf3 | openshift-cluster-storage-operator/csi-snapshot-controller-operator-metrics | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.84.29   | ACTIVE              | amphora  |
| 315969ac-c4b6-49df-ae9e-61c86856cce5 | openshift-etcd-operator/metrics                                             | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.140.22  | ACTIVE              | amphora  |
| 68da2760-6d0f-4b51-81b2-2159cbc63e15 | openshift-authentication-operator/metrics                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.11.170  | ACTIVE              | amphora  |
| d397af51-b01a-413b-8e7e-56eee077d6c6 | openshift-controller-manager-operator/metrics                               | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.130.178 | ACTIVE              | amphora  |
| 556d8721-7c3b-48cc-93a3-0df4241c14c0 | openshift-kube-apiserver-operator/metrics                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.179.131 | ACTIVE              | amphora  |
| c9f0b225-fd55-4111-9858-07c62ff551d9 | openshift-kube-controller-manager-operator/metrics                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.130.22  | ACTIVE              | amphora  |
| 378cdb93-9609-4718-a0fc-b2da4d86c2e8 | openshift-config-operator/metrics                                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.192.235 | ACTIVE              | amphora  |
| cf9e02ae-9e5a-4d10-82ee-756f86bb3582 | openshift-kube-storage-version-migrator-operator/metrics                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.253.233 | ACTIVE              | amphora  |
| 1ef3dab5-3fe5-4e4f-9f52-8bc2e0b21be6 | openshift-dns-operator/metrics                                              | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.235.32  | ACTIVE              | amphora  |
| 3282ba90-cd06-4d78-9581-a5461fd6558f | openshift-network-diagnostics/network-check-target                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.121.19  | ACTIVE              | amphora  |
| b7d0ae64-8c38-4a9d-a1a3-c13a7d8fef78 | openshift-marketplace/marketplace-operator-metrics                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.180.29  | ACTIVE              | amphora  |
| 30885fa1-48d7-4cd0-b4dd-1cd38a7d644b | openshift-ingress-operator/metrics                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.74.228  | ACTIVE              | amphora  |
| e5bcce5c-33a3-470c-a57e-a0f0f984249a | openshift-cluster-storage-operator/csi-snapshot-webhook                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.150.49  | ACTIVE              | amphora  |
| 1d9bfe02-bd2d-4a64-8a91-a117cb34fb91 | openshift-machine-api/cluster-autoscaler-operator                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.202.218 | ACTIVE              | amphora  |
| b0d5ea65-5623-4ac7-b7f3-41a24059c06b | openshift-machine-config-operator/machine-config-daemon                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.166.61  | ACTIVE              | amphora  |
| db7af3e3-6724-476b-9281-11a0e7c6a9d3 | openshift-machine-api/machine-api-operator                                  | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.245.8   | ACTIVE              | amphora  |
| 45751592-f1c6-4a33-b94b-80b661951fcc | openshift-cloud-credential-operator/cco-metrics                             | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.22.164  | ACTIVE              | amphora  |
| 125b7c1a-9f89-4c6c-a6b2-41e9a4800431 | openshift-dns/dns-default                                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.0.10    | ACTIVE              | amphora  |
| bb5deeba-e147-4cbf-b7fd-6bbf64df7670 | openshift-controller-manager/controller-manager                             | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.254.189 | ACTIVE              | amphora  |
| e80a1878-d87c-4e90-a1cb-3e7519d236f1 | openshift-machine-api/machine-api-controllers                               | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.30.103  | ACTIVE              | amphora  |
| 551de91b-9dce-4fa5-bb95-92145257a710 | openshift-machine-api/machine-api-operator-webhook                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.104.139 | ACTIVE              | amphora  |
| 6586b692-1631-4763-b400-c062b5eb099e | openshift-cluster-version/cluster-version-operator                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.145.217 | ACTIVE              | amphora  |
| 139bacd3-0308-4948-b9dc-42939de1c333 | openshift-etcd/etcd                                                         | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.176.213 | ACTIVE              | amphora  |
| b48729e1-466d-4323-80a6-e9c3ac54ccba | openshift-multus/multus-admission-controller                                | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.149.35  | ACTIVE              | amphora  |
| fe98aca1-23b1-4e9c-ba6e-707f69484f55 | openshift-oauth-apiserver/api                                               | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.21.170  | ACTIVE              | amphora  |
| 30a7e66a-0386-46fe-bff4-d7cd08e8bb06 | openshift-kube-scheduler/scheduler                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.27.124  | ACTIVE              | amphora  |
| 59650bfc-aa79-47bf-81a2-85e802038291 | openshift-operator-lifecycle-manager/olm-operator-metrics                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.223.214 | ACTIVE              | amphora  |
| f78b39eb-db81-4d63-9ef8-933a5435937d | openshift-operator-lifecycle-manager/catalog-operator-metrics               | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.33.214  | ACTIVE              | amphora  |
| a534102e-7ac6-4622-a91b-55f9ce0f1670 | openshift-kube-controller-manager/kube-controller-manager                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.155.216 | ACTIVE              | amphora  |
| 5c23c4f8-eea5-431e-be6e-a352e711b0ee | openshift-operator-lifecycle-manager/packageserver-service                  | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.230.6   | ACTIVE              | amphora  |
| 39d9cc63-5dce-41d6-89d6-7af39a1e078b | openshift-apiserver/api                                                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.47.205  | ACTIVE              | amphora  |
| 214ade45-7c10-415c-878b-0b13e113f6eb | openshift-apiserver/check-endpoints                                         | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.161.224 | ACTIVE              | amphora  |
| fbfb9b8e-082f-4b87-a98e-a10836b69561 | openshift-kube-apiserver/apiserver                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.214.27  | ACTIVE              | amphora  |
| 3ecf90a4-6431-4742-be39-d7e9aa69a052 | openshift-console-operator/metrics                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.94.121  | ACTIVE              | amphora  |
| f16a2ff4-24d5-40d9-a80b-2448e72bfd41 | openshift-console/downloads                                                 | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.242.45  | ACTIVE              | amphora  |
| 7f9893f0-c4f3-4fa8-ab5f-bb9ae56371cd | openshift-ingress-canary/ingress-canary                                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.189.38  | ACTIVE              | amphora  |
| c3d31feb-854e-4b36-ae9b-986c9130390c | openshift-ingress/router-internal-default                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.86.131  | ACTIVE              | amphora  |
| 80b48d90-855d-4666-83a6-07dec99731ab | openshift-image-registry/image-registry                                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.85.219  | ACTIVE              | amphora  |
| ed3c4a85-a4e8-47ee-9451-5f7cef70f091 | openshift-monitoring/prometheus-adapter                                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.124.121 | ACTIVE              | amphora  |
| d38f3dba-8df0-4845-b4b5-6af57b74775b | openshift-authentication/oauth-openshift                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.225.223 | ACTIVE              | amphora  |
| 51405801-35de-4a07-8072-310618d9f198 | openshift-marketplace/redhat-marketplace                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.235.83  | ACTIVE              | amphora  |
| 5b525961-b76b-4508-a2e2-40035e62cc0c | openshift-marketplace/community-operators                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.186.57  | ACTIVE              | amphora  |
| 7693551a-e394-4dab-be6c-afe5fe1a1d79 | openshift-monitoring/alertmanager-main                                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.191.145 | ACTIVE              | amphora  |
| 0916cab4-b30d-48d6-95ac-100acd334530 | openshift-marketplace/certified-operators                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.212.212 | ACTIVE              | amphora  |
| 3b04616b-6e8d-41ab-8380-c80235c14f06 | openshift-monitoring/prometheus-k8s                                         | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.77.22   | ACTIVE              | amphora  |
| 4b076e70-3318-4b03-93b2-e59735e182f7 | openshift-monitoring/thanos-querier                                         | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.189.187 | ACTIVE              | amphora  |
| 503e4991-1509-4b27-9134-192641c8f4e4 | openshift-monitoring/grafana                                                | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.177.123 | ACTIVE              | amphora  |
| 80d7dd81-a990-49d0-a7bb-29dfdfd94e6c | openshift-marketplace/redhat-operators                                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.48.77   | ACTIVE              | amphora  |
| 420a4d39-e05d-4456-8240-ee6047b2698c | openshift-console/console                                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.236.73  | ACTIVE              | amphora  |
+--------------------------------------+-----------------------------------------------------------------------------+----------------------------------+----------------+---------------------+----------+

$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.16    True        False         2m12s   Cluster version is 4.7.16

Performing upgrade:

(shiftstack) [stack@undercloud-0 ~]$ oc adm upgrade --to-image="registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-06-14-145150" --allow-explicit-upgrade --force=true
warning: Using by-tag pull specs is dangerous, and while we still allow it in combination with --force for backward compatibility, it would be much safer to pass a by-digest pull spec instead
warning: The requested upgrade image is not one of the available updates.  You have used --allow-explicit-upgrade to the update to proceed anyway
warning: --force overrides cluster verification of your supplied release image and waives any update precondition failures.
Updating to release image registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-06-14-145150

(shiftstack) [stack@undercloud-0 ~]$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.16    True        True          23s     Working towards registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-06-14-145150: downloading update

<WAIT 45 MINUTES>

(shiftstack) [stack@undercloud-0 ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-14-145150   True        False         19m     Cluster version is 4.8.0-0.nightly-2021-06-14-145150

(shiftstack) [stack@undercloud-0 ~]$ openstack subnet list | grep kuryr-service-subnet
| 366edfc5-6c46-47be-a55a-188c47da2fa7 | ostest-xkdcg-kuryr-service-subnet                          | 1358b30b-61b6-4368-b8ab-e0d4cedceb75 | 172.30.0.0/15   |

(shiftstack) [stack@undercloud-0 ~]$ openstack loadbalancer list
+--------------------------------------+------------------------------------------------------------------------------+----------------------------------+----------------+---------------------+----------+
| id                                   | name                                                                         | project_id                       | vip_address    | provisioning_status | provider |
+--------------------------------------+------------------------------------------------------------------------------+----------------------------------+----------------+---------------------+----------+
| 0533e26c-3c66-45ea-a704-2eb141756313 | openshift-service-ca-operator/metrics                                        | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.250.30  | ACTIVE              | amphora  |
| 41705266-7d59-48da-9c6f-591a266474ff | openshift-apiserver-operator/metrics                                         | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.240.134 | ACTIVE              | amphora  |
| 1dfd92db-622e-4f4f-a9f7-4308394688a4 | openshift-insights/metrics                                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.237.139 | ACTIVE              | amphora  |
| 5cd615bf-495a-4fce-a8b9-d7a78fbe43e4 | openshift-cluster-storage-operator/cluster-storage-operator-metrics          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.148.205 | ACTIVE              | amphora  |
| f2527eef-306e-49f9-9b2e-acf5dcb19d48 | openshift-kube-scheduler-operator/metrics                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.17.89   | ACTIVE              | amphora  |
| e42fa4bf-304d-49cc-8563-98fc1c654bf3 | openshift-cluster-storage-operator/csi-snapshot-controller-operator-metrics  | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.84.29   | ACTIVE              | amphora  |
| 315969ac-c4b6-49df-ae9e-61c86856cce5 | openshift-etcd-operator/metrics                                              | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.140.22  | ACTIVE              | amphora  |
| 68da2760-6d0f-4b51-81b2-2159cbc63e15 | openshift-authentication-operator/metrics                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.11.170  | ACTIVE              | amphora  |
| d397af51-b01a-413b-8e7e-56eee077d6c6 | openshift-controller-manager-operator/metrics                                | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.130.178 | ACTIVE              | amphora  |
| 556d8721-7c3b-48cc-93a3-0df4241c14c0 | openshift-kube-apiserver-operator/metrics                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.179.131 | ACTIVE              | amphora  |
| c9f0b225-fd55-4111-9858-07c62ff551d9 | openshift-kube-controller-manager-operator/metrics                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.130.22  | ACTIVE              | amphora  |
| 378cdb93-9609-4718-a0fc-b2da4d86c2e8 | openshift-config-operator/metrics                                            | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.192.235 | ACTIVE              | amphora  |
| cf9e02ae-9e5a-4d10-82ee-756f86bb3582 | openshift-kube-storage-version-migrator-operator/metrics                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.253.233 | ACTIVE              | amphora  |
| 1ef3dab5-3fe5-4e4f-9f52-8bc2e0b21be6 | openshift-dns-operator/metrics                                               | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.235.32  | ACTIVE              | amphora  |
| 3282ba90-cd06-4d78-9581-a5461fd6558f | openshift-network-diagnostics/network-check-target                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.121.19  | ACTIVE              | amphora  |
| b7d0ae64-8c38-4a9d-a1a3-c13a7d8fef78 | openshift-marketplace/marketplace-operator-metrics                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.180.29  | ACTIVE              | amphora  |
| 30885fa1-48d7-4cd0-b4dd-1cd38a7d644b | openshift-ingress-operator/metrics                                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.74.228  | ACTIVE              | amphora  |
| e5bcce5c-33a3-470c-a57e-a0f0f984249a | openshift-cluster-storage-operator/csi-snapshot-webhook                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.150.49  | ACTIVE              | amphora  |
| 1d9bfe02-bd2d-4a64-8a91-a117cb34fb91 | openshift-machine-api/cluster-autoscaler-operator                            | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.202.218 | ACTIVE              | amphora  |
| b0d5ea65-5623-4ac7-b7f3-41a24059c06b | openshift-machine-config-operator/machine-config-daemon                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.166.61  | ACTIVE              | amphora  |
| db7af3e3-6724-476b-9281-11a0e7c6a9d3 | openshift-machine-api/machine-api-operator                                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.245.8   | ACTIVE              | amphora  |
| 45751592-f1c6-4a33-b94b-80b661951fcc | openshift-cloud-credential-operator/cco-metrics                              | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.22.164  | ACTIVE              | amphora  |
| 125b7c1a-9f89-4c6c-a6b2-41e9a4800431 | openshift-dns/dns-default                                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.0.10    | ACTIVE              | amphora  |
| bb5deeba-e147-4cbf-b7fd-6bbf64df7670 | openshift-controller-manager/controller-manager                              | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.254.189 | ACTIVE              | amphora  |
| e80a1878-d87c-4e90-a1cb-3e7519d236f1 | openshift-machine-api/machine-api-controllers                                | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.30.103  | ACTIVE              | amphora  |
| 551de91b-9dce-4fa5-bb95-92145257a710 | openshift-machine-api/machine-api-operator-webhook                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.104.139 | ACTIVE              | amphora  |
| 6586b692-1631-4763-b400-c062b5eb099e | openshift-cluster-version/cluster-version-operator                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.145.217 | ACTIVE              | amphora  |
| 139bacd3-0308-4948-b9dc-42939de1c333 | openshift-etcd/etcd                                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.176.213 | ACTIVE              | amphora  |
| b48729e1-466d-4323-80a6-e9c3ac54ccba | openshift-multus/multus-admission-controller                                 | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.149.35  | ACTIVE              | amphora  |
| fe98aca1-23b1-4e9c-ba6e-707f69484f55 | openshift-oauth-apiserver/api                                                | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.21.170  | ACTIVE              | amphora  |
| 30a7e66a-0386-46fe-bff4-d7cd08e8bb06 | openshift-kube-scheduler/scheduler                                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.27.124  | ACTIVE              | amphora  |
| 59650bfc-aa79-47bf-81a2-85e802038291 | openshift-operator-lifecycle-manager/olm-operator-metrics                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.223.214 | ACTIVE              | amphora  |
| f78b39eb-db81-4d63-9ef8-933a5435937d | openshift-operator-lifecycle-manager/catalog-operator-metrics                | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.33.214  | ACTIVE              | amphora  |
| a534102e-7ac6-4622-a91b-55f9ce0f1670 | openshift-kube-controller-manager/kube-controller-manager                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.155.216 | ACTIVE              | amphora  |
| 39d9cc63-5dce-41d6-89d6-7af39a1e078b | openshift-apiserver/api                                                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.47.205  | ACTIVE              | amphora  |
| 214ade45-7c10-415c-878b-0b13e113f6eb | openshift-apiserver/check-endpoints                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.161.224 | ACTIVE              | amphora  |
| fbfb9b8e-082f-4b87-a98e-a10836b69561 | openshift-kube-apiserver/apiserver                                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.214.27  | ACTIVE              | amphora  |
| 3ecf90a4-6431-4742-be39-d7e9aa69a052 | openshift-console-operator/metrics                                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.94.121  | ACTIVE              | amphora  |
| f16a2ff4-24d5-40d9-a80b-2448e72bfd41 | openshift-console/downloads                                                  | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.242.45  | ACTIVE              | amphora  |
| 7f9893f0-c4f3-4fa8-ab5f-bb9ae56371cd | openshift-ingress-canary/ingress-canary                                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.189.38  | ACTIVE              | amphora  |
| c3d31feb-854e-4b36-ae9b-986c9130390c | openshift-ingress/router-internal-default                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.86.131  | ACTIVE              | amphora  |
| 80b48d90-855d-4666-83a6-07dec99731ab | openshift-image-registry/image-registry                                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.85.219  | ACTIVE              | amphora  |
| ed3c4a85-a4e8-47ee-9451-5f7cef70f091 | openshift-monitoring/prometheus-adapter                                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.124.121 | ACTIVE              | amphora  |
| d38f3dba-8df0-4845-b4b5-6af57b74775b | openshift-authentication/oauth-openshift                                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.225.223 | ACTIVE              | amphora  |
| 51405801-35de-4a07-8072-310618d9f198 | openshift-marketplace/redhat-marketplace                                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.235.83  | ACTIVE              | amphora  |
| 5b525961-b76b-4508-a2e2-40035e62cc0c | openshift-marketplace/community-operators                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.186.57  | ACTIVE              | amphora  |
| 7693551a-e394-4dab-be6c-afe5fe1a1d79 | openshift-monitoring/alertmanager-main                                       | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.191.145 | ACTIVE              | amphora  |
| 0916cab4-b30d-48d6-95ac-100acd334530 | openshift-marketplace/certified-operators                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.212.212 | ACTIVE              | amphora  |
| 3b04616b-6e8d-41ab-8380-c80235c14f06 | openshift-monitoring/prometheus-k8s                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.77.22   | ACTIVE              | amphora  |
| 4b076e70-3318-4b03-93b2-e59735e182f7 | openshift-monitoring/thanos-querier                                          | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.189.187 | ACTIVE              | amphora  |
| 503e4991-1509-4b27-9134-192641c8f4e4 | openshift-monitoring/grafana                                                 | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.177.123 | ACTIVE              | amphora  |
| 80d7dd81-a990-49d0-a7bb-29dfdfd94e6c | openshift-marketplace/redhat-operators                                       | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.48.77   | ACTIVE              | amphora  |
| 420a4d39-e05d-4456-8240-ee6047b2698c | openshift-console/console                                                    | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.236.73  | ACTIVE              | amphora  |
| c373ea11-943b-45ad-808b-8abfab2c1a3f | openshift-machine-api/cluster-baremetal-webhook-service                      | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.91.204  | ACTIVE              | amphora  |
| d4affea4-9c84-4be5-9313-c17e32396af2 | openshift-machine-api/cluster-baremetal-operator-service                     | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.122.251 | ACTIVE              | amphora  |
| a3593e7c-bcc9-466c-9ed9-1dd20e6a1af8 | openshift-operator-lifecycle-manager/packageserver-service                   | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.222.171 | ACTIVE              | amphora  |
| d5e5b15f-5401-4023-8fb5-dd46eebe4b80 | openshift-cluster-csi-drivers/openstack-cinder-csi-driver-controller-metrics | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.156.69  | ACTIVE              | amphora  |
| 2746a375-21a3-4d80-807c-ca3810afc10a | default/kubernetes                                                           | fa497d1d88f54bb5b9ecf34ab888ea37 | 172.30.0.1     | ACTIVE              | amphora  |
+--------------------------------------+------------------------------------------------------------------------------+----------------------------------+----------------+---------------------+----------+

Comment 6 Itzik Brown 2021-06-16 06:02:06 UTC
Have the following section in install-config.yaml
networking:
  clusterNetworks:
  - cidr:             10.128.0.0/14
    hostSubnetLength: 9
  serviceNetwork: [172.30.0.0/16]
  machineCIDR: 1


Installed 4.7.0-0.nightly-2021-06-12-151209 and checked that the services subnet CIDR is 172.30.0.0/15

Updated to 4.8.0-0.nightly-2021-06-14-145150 and checked that the services subnet CIDR is 172.30.0.0/15

Comment 8 errata-xmlrpc 2021-07-27 23:05:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.